package com.qmth.qrzk.repository.user.model;

public class DbfPaperInfo {
	
	private int id;
	
	private int paperBatchId;
	
	private String courseCode;
	
	private String courseName;
	
	private String bookName;
	
	private String bookAuthor;
	
	private String bookPress;
	
	private String bookPressYear;
	
	private String searchKeyword;
	
	private int relatedPaperNum;
	
	private String relatedPaperCode;
	
	private String relatedPaperId;
	
	private int df;	
	
	public String getRelatedPaperId() {
		return relatedPaperId;
	}

	public void setRelatedPaperId(String relatedPaperId) {
		this.relatedPaperId = relatedPaperId;
	}

	public String getRelatedPaperCode() {
		return relatedPaperCode;
	}

	public void setRelatedPaperCode(String relatedPaperCode) {
		this.relatedPaperCode = relatedPaperCode;
	}

	public int getDf() {
		return df;
	}

	public void setDf(int df) {
		this.df = df;
	}

	public DbfPaperInfo(){
		super();
	}
	
	public DbfPaperInfo(String courseCode, String courseName,
			String bookName, String bookAuthor, String bookPress, String bookPressYear) {
		super();
		this.courseCode = courseCode;
		this.courseName = courseName;
		this.bookName = bookName;
		this.bookAuthor = bookAuthor;
		this.bookPress = bookPress;
		this.bookPressYear = bookPressYear;
	}

	public int getPaperBatchId() {
		return paperBatchId;
	}

	
	public DbfPaperInfo(int id, int df) {
		super();
		this.id = id;
		this.df = df;
	}

	public void setPaperBatchId(int paperBatchId) {
		this.paperBatchId = paperBatchId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	public String getBookAuthor() {
		return bookAuthor;
	}

	public void setBookAuthor(String bookAuthor) {
		this.bookAuthor = bookAuthor;
	}

	public String getBookPress() {
		return bookPress;
	}

	public void setBookPress(String bookPress) {
		this.bookPress = bookPress;
	}

	public String getBookPressYear() {
		return bookPressYear;
	}

	public void setBookPressYear(String bookPressYear) {
		this.bookPressYear = bookPressYear;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getSearchKeyword() {
		return searchKeyword;
	}

	public void setSearchKeyword(String searchKeyword) {
		this.searchKeyword = searchKeyword;
	}

	public int getRelatedPaperNum() {
		return relatedPaperNum;
	}

	public void setRelatedPaperNum(int relatedPaperNum) {
		this.relatedPaperNum = relatedPaperNum;
	}
}
